
pi-vote - Bug / Feature #5593

Debian Installer: Shells Scripts Incomplete

24 July 2013 07:22 - bernd villiger

Status: New Start date: 24 July 2013

Priority: Low Due date:  

Assignee: Exception % Done: 0%

Category: Usability Estimated time: 0.00 hour

Target version:    

Request Type: Bug Report Affected Users:  

Affected Program: Debian Installation   

Description

Systeme

Debian 7.1 | Kernel 3.2 (64bit) | Gnome 3.4

Mint 15 | Kernel 3.8 (64bit) | Cinnamon 1.8

Probleme

Der Installer erzeugt

unter Gnome / Debian keine Menü-Einträge, keine Desktop-Icons;

unter Mint / Cinnamon keine Menü-Einträge, nur ein Desktop-Icon.

Hintergrund: /usr/bin/update-menus ist

unter Gnome / Debian vorhanden, aber kaputt (?).

unter Mint / Cinnamon überhaupt nicht vorhanden.

Lösungen

Auf beiden Systemen kann ich die Menü-Einträge manuell erzeugen:

root@vm-debian:/opt/pivote# cp -v *.desktop /usr/share/applications/

root@vm-mint:/opt/pivote# cp -v *.desktop /usr/share/applications/

 Auf beiden Systemen funktioniert als "Post-Post-Install Script":

#! /bin/sh

if [ -d /opt/pivote/ ] && [ -d /usr/share/applications/ ]

then

  cp /opt/pivote/*.desktop /usr/share/applications/

fi

# eof

 Ich schlage daher vor, eines der Post-Install Scripts um eine solche Routine zu ergänzen.

P.S.: Shell Scripts und Debian Package könnte ich auch selbst überarbeiten. Aber GIT etc. sind für mich Neuland (- war früher

"Einzelkämpfer" ...), und ich will weder euren Code noch eure Abläufe durcheinander bringen.

History

#1 - 24 July 2013 15:30 - Exception

- Priority changed from Low to High

Guter Input. Wird übernommen.

#2 - 26 July 2013 15:30 - bernd villiger
- File 1307261526_bv.png added

Nachtrag: KDE 4.10

- System: Ubuntu 13.04 | Kernel 3.8 (64bit)

Der Installer erzeugt ein Desktop-Icon, keine Menü-Einträge.

Mein "Post-Post-Install Script" erzeugt zwei Menü-Einträge.

(Add.: /usr/bin/update-menus ist nicht vorhanden.)

#3 - 05 March 2014 15:54 - Exception

- Priority changed from High to Low

Keine Ressourcen frei.
